> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Results

> Get the results of a completed extraction job.



## OpenAPI

````yaml api-reference/openapi.json get /extract/jobs/{job_id}/results
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /extract/jobs/{job_id}/results:
    get:
      tags:
        - /extract
      summary: Get Job Results
      description: Get the results of a completed extraction job.
      operationId: get_job_results_extract_jobs__job_id__results_get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResultsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobResultsResponse:
      properties:
        job_id:
          type: string
          title: Job Id
          description: Unique ID of the extraction job
        status:
          $ref: '#/components/schemas/DocumentStatusEnum'
          description: Current status of the job
        results:
          additionalProperties: true
          type: object
          title: Results
          description: >-
            Extracted results conforming to the provided JSON Schema. When
            per_key_attribution is enabled, primitive values are wrapped with
            AttributionInfo containing extracted_value, reasoning, confidence,
            and location fields.
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: >-
            Metadata about the extraction process. May include has_attributions
            boolean flag indicating if attribution data is present in results.
        config:
          anyOf:
            - $ref: '#/components/schemas/ExtractConfig'
            - type: 'null'
          description: Configuration used for the extraction job (model, temperature, etc.)
      type: object
      required:
        - job_id
        - status
        - results
        - metadata
      title: JobResultsResponse
      description: >-
        Response model for job results.


        The results field contains extracted data conforming to the provided
        JSON Schema. When per_key_attribution is enabled in ExtractConfig,
        primitive fields in results will be wrapped with AttributionInfo
        structures containing the extracted_value along with reasoning,
        confidence, and page location metadata.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentStatusEnum:
      type: string
      enum:
        - pending
        - processing
        - retrying
        - completed
        - failed
        - cancelled
      title: DocumentStatusEnum
    ExtractConfig:
      properties:
        model:
          type: string
          enum:
            - gemini-2.5-flash
            - gemini-2.5-pro
            - gemini-3-pro-preview
            - gemini-3-flash-preview
          title: Model
          description: >-
            Base model for extraction. 'gemini-2.5-flash' is faster and cheaper,
            while 'gemini-2.5-pro' is more accurate and expensive.
          default: gemini-2.5-flash
          examples:
            - gemini-2.5-flash
            - gemini-2.5-pro
            - gemini-3-pro-preview
            - gemini-3-flash-preview
        per_key_attribution:
          type: boolean
          title: Per Key Attribution
          description: >-
            Set to include attributions for each extracted field including
            reasoning, confidence scores, and page numbers. This option
            increases processing time and cost.
          default: false
          examples:
            - false
            - true
        temperature:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Temperature
          description: >-
            Sampling temperature (0.0-2.0). Lower values make output more
            deterministic and consistent, higher values vary more. Leave as None
            for model defaults.
          examples:
            - 0
            - 0.1
            - 0.5
            - 1
            - 2
        enable_thinking:
          type: boolean
          title: Enable Thinking
          description: >-
            Enable reasoning which can improve accuracy but increases processing
            time and cost.
          default: true
          examples:
            - true
            - false
        additional_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Additional Instructions
          description: >-
            Additional instructions to the model. This is a string that will be
            appended to the prompt. It is useful for providing additional
            context or instructions to the model.
        enable_agentic_array_extraction:
          type: boolean
          title: Enable Agentic Array Extraction
          description: >-
            If True, will use agentic array extraction to extract the array of
            objects when possible. Requires isolate_arrays=True in
            splitter_config. One can also enable agentic array extraction for
            specific arrays by setting agenticArrayExtractionMaxItemsPerTurn > 0
            for the array in the JSON schema.
          default: false
      additionalProperties: false
      type: object
      title: ExtractConfig
      description: >-
        Configuration for structured extraction. Most settings have sensible
        defaults, but you can customize them for your specific use case.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````